Subject: Re: [BUG] linux-2.6.26.7 : loading of sch_cbq is stuck

From: Eric Dumazet <[email-masked]>
Date: Tue, 04 Nov 2008 15:31:38 +0100

Eric Dumazet a écrit :
> Hi all
> 
> Just found this problem on linux-2.6.26.7 when trying to add cbq on eth0
> 
> /proc/modules hangs too
> 
> root     12117  0.0  0.0   1560   360 pts/1    D+   11:07   0:00 lsmod
> root     10361  0.0  0.0   1996   696 pts/0    D+   11:05   0:00 tc 
> qdisc add dev eth0 root handle 1: cbq avpkt 1000 rate 100Mbit bandwidth 
> 100Mbit
> root     10362  0.0  0.0      0     0 ?        S<   11:05   0:00 [khelper]
> root     10363  0.0  0.0   1592   588 ?        R    11:05   0:00 
> /sbin/modprobe -q -- sch_cbq
> root     10364  0.0  0.0      0     0 ?        S<   11:05   0:00 
> [kstopmachine]
> root     10365  0.0  0.0      0     0 ?        Z<   11:05   0:00 
> [kstopmachine] <defunct>
> root     10366  0.0  0.0      0     0 ?        Z<   11:05   0:00 
> [kstopmachine] <defunct>
> root     10367  0.0  0.0      0     0 ?        Z<   11:05   0:00 
> [kstopmachine] <defunct>
> 

Well, the answer is : I had a realtime user process that was looping.

Killing it one hour later solved the problem and unlocked all blocked
tasks.

Dont let users run realtime, better let them access hard-reset button...